## liboggz 0.8.2

=== win32/Makefile ===
# Set the value of $(MSVCDir) for your installation. 
# Please note that none of the directory names are allowed to have spaces 
# in them. You must use the short name 
#
# "C:\Program Files\Microsoft Visual Studio\VC98" will not work.
# "C:\Progra~1\Micros~1\VC98" will work.
MSVCDir="C:\PROGRA~1\MICROS~1.NET\Vc7"

# MSVCDir="C:\PROGRA~1\Micros~4\VC98"

CPP=cl.exe

LINK32=link.exe
LINK32_FLAGS=ogg.lib /nologo /dll /incremental:no /libpath:"$(MSVCDir)\Lib" /implib:".\liboggz.lib" /machine:I386 /out:".\liboggz.dll" 

PROG_LINK_FLAGS=/nologo /incremental:no /libpath:"$(MSVCDir)\Lib" /machine:I386 /exetype:dynamic

CFLAGS=/nologo /MD /W1 /GX /O2 /I"." /I"..\src\liboggz" /I"..\include" /I"$(MSVCDir)\Include"  /D "WIN32" /D "_USRDLL" /YX /FD


#====================================================================
# Targets

ALL :  "attgetopt.obj" "liboggz.dll" "oggzdump.exe" "oggzinfo.exe" "oggzed.exe"

CLEAN:
	-@erase ".\*.obj"
	-@erase ".\vc60.idb"
	-@erase ".\liboggz.dll"
	-@erase ".\liboggz.exp"
	-@erase ".\liboggz.lib"

#====================================================================

LINK32_OBJS= \
	".\oggz.obj" \
	".\oggz_io.obj" \
	".\oggz_read.obj" \
	".\oggz_write.obj" \
	".\oggz_auto.obj" \
	".\oggz_table.obj" \
	".\oggz_vector.obj"

"liboggz.dll" : $(LINK32_OBJS) ".\liboggz.def"
    $(LINK32) $(LINK32_FLAGS) /def:".\liboggz.def" $(LINK32_OBJS)

"oggzdump.exe" : "..\src\tools\oggzdump.c"
	$(CPP) $(CFLAGS) /Fo".\oggzdump.obj" /c "..\src\tools\oggzdump.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"oggzdump.exe" ".\oggzdump.obj" ".\attgetopt.obj" liboggz.lib

"oggzinfo.exe" : "..\src\tools\oggzinfo.c"
	$(CPP) $(CFLAGS) /Fo".\oggzinfo.obj" /c "..\src\tools\oggzinfo.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"oggzinfo.exe" ".\oggzinfo.obj" ".\attgetopt.obj" liboggz.lib

"oggzed.exe" : "..\src\tools\oggzed.c"
	$(CPP) $(CFLAGS) /Fo".\oggzed.obj" /c "..\src\tools\oggzed.c"
	$(LINK32) $(PROG_LINK_FLAGS) /out:"oggzed.exe" ".\oggzed.obj" ".\attgetopt.obj" liboggz.lib

#====================================================================
# C files in src

.\oggz.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz.obj" /c "..\src\liboggz\oggz.c"

.\oggz_io.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz_io.obj" /c "..\src\liboggz\oggz_io.c"

.\oggz_read.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz_read.obj" /c "..\src\liboggz\oggz_read.c"

.\oggz_write.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz_write.obj" /c "..\src\liboggz\oggz_write.c"

.\oggz_auto.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz_auto.obj" /c "..\src\liboggz\oggz_auto.c"

.\oggz_table.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz_table.obj" /c "..\src\liboggz\oggz_table.c"

.\oggz_vector.obj:
	$(CPP) $(CFLAGS) /Fo".\oggz_vector.obj" /c "..\src\liboggz\oggz_vector.c"

.\attgetopt.obj:
	$(CPP) $(CFLAGS) /Fo".\attgetopt.obj" /c ".\attgetopt.c"

# End of Makefile
#====================================================================

## liboggz 1.1.1

=== debian/changelog ===
liboggz (1.1.1-8) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + liboggz2: Add Multi-Arch: same.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on bash-completion.
  * Fix day-of-week for changelog entry 0.9.7-1.

  [ Dennis Braun ]
  * Bump dh-compat to 13
  * Bump S-V to 4.6.0
  * Set Rules-Requires-Root: no
  * override_dh_strip is not needed anymore

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 29 Sep 2021 22:08:56 +0200

liboggz (1.1.1-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Florian Schlichting ]
  * Set Maintainer address to Debian Multimedia Maintainers (closes: #899586)
  * Use secure URIs for xiph.org
  * Update d/copyright to copyright-format 1.0
  * Bump dh compat to level 12
  * Enable all hardening build flags
  * Mark html and latex docs, as well as liboggz.la, as not-installed
  * Transition to automatic dbgsym package
  * Add Build-Depends-Package field to symbols file
  * Declare compliance with Debian Policy 4.3.0
  * Drop autoreconf from dh call, obsolete at this compat level
  * Override lintian error license-problem-non-free-RFC: these files are not
    actually RFCs (but quote the RFC license text)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 25 Feb 2019 00:33:34 +0100

liboggz (1.1.1-6) unstable; urgency=medium

  * Drop ancient binutils build dependency satisfied in wheezy.
  * Adjust d/rules to not run testsuite when DEB_BUILD_OPTIONS=nocheck.
    (Closes: #873158)
  * Disable b-d on vorbis-tools with nocheck to break bootstrap cycle.
    (Closes: #873276)
  * Updated Standards-Version from 3.9.8 to 4.1.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Aug 2017 09:46:54 +0200

liboggz (1.1.1-5) unstable; urgency=medium

  * Changed Standards-Version from 3.9.6 to 3.9.8.
  * Added d/gbp.conf to enforce using pristine-tar.
  * Added vorbis-tools as build dependency, it is needed by the selftest script.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 May 2016 14:49:57 +0200

liboggz (1.1.1-4) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Added simple autopkgtest script to verify oggz-info is working.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 May 2016 10:07:10 +0200

liboggz (1.1.1-3) unstable; urgency=low

  [ Martin Steghöfer ]
  * Start new version
  * Updated meta information (VCS and Homepage)

  [ Petter Reinholdtsen ]
  * Drop John Francesco Ferlito and add me and Martin Steghöfer as uploaders.
  * Updated standards-version from 3.9.3 to 3.9.6.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 07:43:13 +0200

liboggz (1.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding changes from Ubuntu (see below), with some cleaning up on top
    - pkg-config added to Build-Depends, not mentioned below

  [ Dimitri John Ledkov ]
  * Use dh-autoreconf to update libtool for ppc64el.
  * Specify location to extra m4 macros, in configure.ac.
  * Drop quilt addon, it's a 3.0 (quilt) package.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 22 May 2014 22:22:34 +0100

liboggz (1.1.1-2) unstable; urgency=low

  * Fixed typos (LP: #789179, Closes: #659972)
    - Change "once" to "ones"
    - Change "removed" to "remove"
    - Thanks to Benjamin Kerensa
  * Bump Standards Version to 3.9.3 (no changes)
  * Move to debhelper 9
  * Use dh autotools-dev
  * Update for multi-arch

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 18 Nov 2012 11:51:35 -0800

liboggz (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Remove patches/build_on_gnu.
    - m4 directory now included (Closes: #574765).
  * Removed quilt.
  * Added source format.

 -- John Francesco Ferlito <johnf@inodes.org>  Thu, 29 Apr 2010 22:05:29 +1000

liboggz (1.1.0-2) unstable; urgency=low

  * Move to dh7 rules.
  * Added ${misc:Depends}.
  * Fix FTBFS on hurd-i386, update configure patch (Closes: #557537).

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 27 Dec 2009 07:54:15 +1100

liboggz (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    + Add make check back in
  * debian/control
    + Rename to liboggz2 due to SONAME change
  * Rename bits under debian/ to liboggz2
  * Create debian/liboggz2.symbols

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 09 Oct 2009 11:35:41 +1100

liboggz (1.0.0-2) unstable; urgency=low

  * config.{sub,guess} from autotools-dev is now up to date (Closes: #540360)
  * Improve making the man pages linitan clean. Upstream is working on a patch.

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 04 Oct 2009 14:30:37 +1100

liboggz (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Now maintained by Debian Xiph.org Maintainers.
  * Updated Bzr-Vcs to point at alioth.
  * Added Uploaders.
  * Updated debian/copyright to point at alioth pkg-xiph team.
  * Support for GNU/kFreeBSD included upstream. (Closes: 539563)
  * Removed patch for mising man page.
  * Bump Standards Version to 3.8.3 (no changes)

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 25 Sep 2009 22:14:56 +1000

liboggz (0.9.9-4) unstable; urgency=low

  * Move -dbg package to debug section.

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 10:27:42 +1000

liboggz (0.9.9-3) unstable; urgency=low

  * Add libtool to Build-Depends

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 01:28:27 +1000

liboggz (0.9.9-2) unstable; urgency=low

  * Add bash_completion file to oggz-tools package

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 00:49:20 +1000

liboggz (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Update watch location to xiph.org address.
  * Add missing man page oggz.1, fixed in upstream
  * Add debian/symbols


=== debian/control ===
Source: liboggz
Section: net
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , Martin Steghöfer <martin@steghoefer.eu>
 , Ralph Giles <giles@thaumas.net>
Build-Depends: debhelper-compat (= 13)
 , libogg-dev
 , doxygen
 , docbook-to-man
 , libtool
 , bash-completion
 , pkg-config
 , vorbis-tools <!nocheck>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/multimedia-team/liboggz.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/liboggz
Homepage: https://xiph.org/oggz/
Rules-Requires-Root: no

Package: liboggz2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: convenience interface for Ogg stream I/O
 Oggz provides a simple programming interface for reading and writing
 Ogg files and streams.
 .
 liboggz supports the flexibility afforded by the Ogg file format while
 presenting the following API niceties:
 .
  * Strict adherence to the formatting requirements of Ogg bitstreams,
    to ensure that only valid bitstreams are generated.
  * A simple, callback based open/read/close or open/write/close interface
    to raw Ogg files.
  * A customisable seeking abstraction for seeking on multitrack Ogg data.
  * A packet queue for feeding incoming packets for writing, with callback
    based notification when this queue is empty.
  * A handy table structure for storing information on each logical
    bitstream.

Package: liboggz2-dev
Section: libdevel
Architecture: any
Depends: liboggz2 (= ${binary:Version}), ${misc:Depends}, libc6-dev, libogg-dev
Provides: liboggz-dev
Conflicts: liboggz-dev
Description: convenience interface for Ogg stream I/O (development files)
 Oggz provides a simple programming interface for reading and writing
 Ogg files and streams.
 .
 This package contains the header files, static libraries, and stream
 debugging tools required for developing applications that use Oggz.

Package: oggz-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for mangling Ogg streams
 Oggz provides a simple programming interface for reading and writing
 Ogg files and streams.
 .
 This package contains some utilities useful for debugging and tweaking
 Ogg streams, using liboggz

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with bash-completion

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
# Run our test suite until the upstream source get one
override_dh_auto_test:
	dh_auto_test
	for t in debian/tests/test-*; do \
	    BUILDDIR=`pwd` $$t; \
	done
endif

=== debian/tests/control ===
Tests: test-oggz-info
Depends: @, vorbis-tools, valgrind
Restrictions: allow-stderr

## liboggz 1.1.2

=== debian/changelog ===
liboggz (1.1.2-5) unstable; urgency=medium

  * Team upload.

  * Added build-essential as autopkgtest dependency for gcc.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Feb 2025 00:04:38 +0100

liboggz (1.1.2-4) unstable; urgency=medium

  * Team upload.

  * Drop running our tests during build, as src/test/ do a better job.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Feb 2025 08:43:35 +0100

liboggz (1.1.2-3) unstable; urgency=medium

  * Team upload.

  * Added autopkgtest checking compiling with oggz library.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Feb 2025 08:04:05 +0100

liboggz (1.1.2-2) unstable; urgency=medium

  * Team upload.

  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Added postinst maintscript to remove obsolete
    /etc/bash_completion.d/oggz (Closes: #990153).
  * Only install valgrind for autopkgtest on archs where it is available.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Feb 2025 15:44:02 +0100

liboggz (1.1.2-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 1.1.2 (Closes: #964301, #964304, #964306,
    #964300, #964302, #964303, #594180).
   - Dropped man-page-typos.diff merged upstream.
   - Dropped autoreconf.patch merged upstream.
  * Replaced obsolete build depend pkg-config with pkgconf.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Feb 2025 00:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  , docbook-to-man
  , libtool
  , bash-completion
- , pkg-config
+ , pkgconf
  , vorbis-tools <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/liboggz.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/liboggz
 Homepage: https://xiph.org/oggz/

## liboggz 1.1.3

=== win32/Makefile ===
--- 
+++ 
@@ -4,18 +4,21 @@
 #
 # "C:\Program Files\Microsoft Visual Studio\VC98" will not work.
 # "C:\Progra~1\Micros~1\VC98" will work.
-MSVCDir="C:\PROGRA~1\MICROS~1.NET\Vc7"
+# MSVCDir="C:\PROGRA~1\MICROS~1.NET\Vc7"
 
-# MSVCDir="C:\PROGRA~1\Micros~4\VC98"
+MSVCDir="C:\PROGRA~1\Micros~3\VC98"
 
 CPP=cl.exe
+LINK32=link.exe
 
-LINK32=link.exe
-LINK32_FLAGS=ogg.lib /nologo /dll /incremental:no /libpath:"$(MSVCDir)\Lib" /implib:".\liboggz.lib" /machine:I386 /out:".\liboggz.dll" 
+LIBOGG_PATH="..\..\xiph.org\ogg\win32\Dynamic_Release"
+INCOGG_PATH="..\..\xiph.org\ogg\include"
+
+LINK32_FLAGS=$(LIBOGG_PATH)\ogg.lib /nologo /dll /incremental:no /libpath:"$(MSVCDir)\Lib" /implib:".\liboggz.lib" /machine:I386 /out:".\liboggz.dll" 
 
 PROG_LINK_FLAGS=/nologo /incremental:no /libpath:"$(MSVCDir)\Lib" /machine:I386 /exetype:dynamic
 
-CFLAGS=/nologo /MD /W1 /GX /O2 /I"." /I"..\src\liboggz" /I"..\include" /I"$(MSVCDir)\Include"  /D "WIN32" /D "_USRDLL" /YX /FD
+CFLAGS=/nologo /MD /W1 /GX /O2 /I"." /I"..\src\liboggz" /I"..\include" /I$(INCOGG_PATH) /I"$(MSVCDir)\Include"  /D "WIN32" /D "_USRDLL" /YX /FD
 
 
 #====================================================================
@@ -42,7 +45,7 @@
 	".\oggz_vector.obj"
 
 "liboggz.dll" : $(LINK32_OBJS) ".\liboggz.def"
-    $(LINK32) $(LINK32_FLAGS) /def:".\liboggz.def" $(LINK32_OBJS)
+	$(LINK32) $(LINK32_FLAGS) /def:".\liboggz.def" $(LINK32_OBJS)
 
 "oggzdump.exe" : "..\src\tools\oggzdump.c"
 	$(CPP) $(CFLAGS) /Fo".\oggzdump.obj" /c "..\src\tools\oggzdump.c"

=== debian/changelog ===
liboggz (1.1.3-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 1.1.3
  * Updated Standards-Version from 4.7.0 to 4.7.1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Feb 2025 10:50:17 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  , bash-completion
  , pkgconf
  , vorbis-tools <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/liboggz.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/liboggz
 Homepage: https://xiph.org/oggz/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with bash-completion

=== debian/tests/control ===
Tests: test-oggz-info, test-simple-build-link
Depends: @,
 build-essential,
 vorbis-tools,
 valgrind [amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x]
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://downloads.xiph.org/releases/liboggz/liboggz-([\d\.]+)\.tar\.gz debian uupdate
